Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# APPSPACK::Constraints::Interface Class Reference

`#include <APPSPACK_Constraints_Interface.hpp>`

Inheritance diagram for APPSPACK::Constraints::Interface:

[legend]
List of all members.

## Detailed Description

Abstract interface for constraints.

Definition at line 51 of file APPSPACK_Constraints_Interface.hpp.

## Public Member Functions
| Interface ()
virtual | ~Interface ()
virtual const Vector & | getScaling () const =0
| Return the scaling vector.
virtual const Vector & | getLower () const =0
| Return vector of lower bounds.
virtual const Vector & | getUpper () const =0
| Return vector of upper bounds.
virtual const vector< bool > & | getIsLower () const =0
| Return boolean vector where each vector is true if the corresponding lower bound is defined.
virtual const vector< bool > & | getIsUpper () const =0
| Return boolean vector where each vector is true if the corresponding upper bound is defined.
virtual void | print () const
| Optional print function.

## Constructor & Destructor Documentation

APPSPACK::Constraints::Interface::Interface | ( |  | ) | `[inline]`

| Constructor Definition at line 56 of file APPSPACK_Constraints_Interface.hpp.

virtual APPSPACK::Constraints::Interface::~Interface | ( |  | ) | `[inline, virtual]`

| Destructor Definition at line 59 of file APPSPACK_Constraints_Interface.hpp.

## Member Function Documentation

virtual const Vector& APPSPACK::Constraints::Interface::getScaling | ( |  | ) | const`[pure virtual]`

| Return the scaling vector. The scaling vector is typically defined as where represents the i-th entry of the scaling vector, represents the i-th upper bound, and represents the i-th lower bound. Implemented in APPSPACK::Constraints::Bounds. Referenced by APPSPACK::Directions::computeNewDirections(), and APPSPACK::Solver::initializeBestPointPtr().

virtual const Vector& APPSPACK::Constraints::Interface::getLower | ( |  | ) | const`[pure virtual]`

| Return vector of lower bounds. Implemented in APPSPACK::Constraints::Bounds. Referenced by APPSPACK::Directions::computeNewDirections(), APPSPACK::Solver::generateTrialPoints(), and APPSPACK::Solver::initializeBestPointPtr().

virtual const Vector& APPSPACK::Constraints::Interface::getUpper | ( |  | ) | const`[pure virtual]`

| Return vector of upper bounds. Implemented in APPSPACK::Constraints::Bounds. Referenced by APPSPACK::Directions::computeNewDirections(), APPSPACK::Solver::generateTrialPoints(), and APPSPACK::Solver::initializeBestPointPtr().

virtual const vector<bool>& APPSPACK::Constraints::Interface::getIsLower | ( |  | ) | const`[pure virtual]`

| Return boolean vector where each vector is true if the corresponding lower bound is defined. Implemented in APPSPACK::Constraints::Bounds. Referenced by APPSPACK::Directions::computeNewDirections(), APPSPACK::Solver::generateTrialPoints(), and APPSPACK::Solver::initializeBestPointPtr().

virtual const vector<bool>& APPSPACK::Constraints::Interface::getIsUpper | ( |  | ) | const`[pure virtual]`

| Return boolean vector where each vector is true if the corresponding upper bound is defined. Implemented in APPSPACK::Constraints::Bounds. Referenced by APPSPACK::Directions::computeNewDirections(), APPSPACK::Solver::generateTrialPoints(), and APPSPACK::Solver::initializeBestPointPtr().

virtual void APPSPACK::Constraints::Interface::print | ( |  | ) | const`[inline, virtual]`

| Optional print function. Defaults to doing nothing. Can optionally print out relevant information about the constraints. Reimplemented in APPSPACK::Constraints::Bounds. Definition at line 87 of file APPSPACK_Constraints_Interface.hpp.

The documentation for this class was generated from the following file:

- APPSPACK_Constraints_Interface.hpp

© Sandia Corporation | Site Contact | Privacy and Security

Generated on Wed Dec 14 18:41:05 2005 for APPSPACK 4.0.2 by 1.3.8 written by Dimitri van Heesch, © 1997-2002